### Constructor

# Gtk Button new_from_icon_name

#### Declaration [src]

    GtkWidget*
    gtk_button_new_from_icon_name (
      const char* icon_name
    )

#### Description [src]

Creates a new button containing an icon from the current icon theme.

If the icon name isn’t known, a “broken image” icon will be displayed instead. If the current icon theme is changed, the icon will be updated appropriately.

#### Parameters

`icon_name`

  Type: `const char*`

  An icon name.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GtkWidget`

A new `GtkButton` displaying the themed icon.

The data is owned by the called function.